HashFunctions (Colt 1.2.0 - API Specification)
Keywords: cern.colt.map.HashFunctions class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.map
Class HashFunctions

    java.lang.Object
      cern.colt.map.HashFunctions

public class HashFunctions
extends Object

Provides various hash functions.

Version:
  1.0, 09/24/99

Method Summary
`static int` | `hash(boolean value)` Returns a hashcode for the specified value.
`static int` | `hash(char value)` Returns a hashcode for the specified value.
`static int` | `hash(double value)` Returns a hashcode for the specified value.
`static int` | `hash(float value)` Returns a hashcode for the specified value.
`static int` | `hash(int value)` Returns a hashcode for the specified value.
`static int` | `hash(long value)` Returns a hashcode for the specified value.
`static int` | `hash(Object object)` Returns a hashcode for the specified object.
`static int` | `hash(short value)` Returns a hashcode for the specified value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hash

    public static int hash(char value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(double value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(float value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(int value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(long value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(Object object)

  Returns a hashcode for the specified object.

  Returns:
    a hash code value for the specified object.

### hash

    public static int hash(short value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(boolean value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage